<!-- Copyright 2018 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="/components/oobe_i18n_behavior.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/oobe_dialog.html">

<dom-module id="supervision-transition-element">
  <template>
    <style include="oobe-dialog-host">
      paper-progress {
        --paper-progress-active-color: rgb(66, 133, 244); /*#4285F4*/
        --paper-progress-container-color: rgb(206, 224, 252); /*#CEE0FC*/
        --paper-progress-secondary-color: rgb(66, 133, 244); /*#4285F4*/
        display: block;
        height: 3px;
        padding: 40px 0 0 0;
        width: 100%;
      }

      .supervision-icon {
        --iron-icon-height: 32px;
        --iron-icon-width: 32px;
      }
    </style>
    <oobe-dialog id="supervisionTransitionDialog" role="alert"
        aria-label$="[[getDialogA11yTitle_(locale, isRemovingSupervision_)]]"
        subtitle-key="supervisionTransitionIntroMessage" for-step="progress">
      <iron-icon src="chrome://oobe/supervision_icon.png" slot="oobe-icon"
          class="supervision-icon" aria-hidden="true">
      </iron-icon>
      <h1 slot="title" id="supervisionTitle">
        <div hidden="[[isRemovingSupervision_]]">
          [[i18nDynamic(locale,'addingSupervisionTitle')]]
        </div>
        <div hidden="[[!isRemovingSupervision_]]">
          [[i18nDynamic(locale,'removingSupervisionTitle')]]
        </div>
      </h1>
      <div slot="footer" aria-live="off">
        <paper-progress class="slow" aria-hidden="true" indeterminate>
        </paper-progress>
      </div>
    </oobe-dialog>
    <oobe-dialog id="supervisionTransitionErrorDialog" role="alert"
        title-key="supervisionTransitionErrorTitle"
        subtitle-key="supervisionTransitionErrorMessage"
        aria-label$="[[i18nDynamic(locale,'supervisionTransitionErrorTitle')]]"
        has-buttons for-step="error">
      <iron-icon src="chrome://oobe/supervision_icon.png" slot="oobe-icon"
          aria-hidden="true">
      </iron-icon>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="accept-button" on-click="onAcceptAndContinue_"
            text-key="supervisionTransitionButton" class="focus-on-show"
            inverse>
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
